#
# spec file for package python-ifaddr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oldpython python
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ifaddr
Version:        0.1.4
Release:        lp151.2.1
Summary:        Module for enumerating IP addresses on system network adapters
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/pydron/ifaddr
Source:         https://files.pythonhosted.org/packages/source/i/ifaddr/ifaddr-%{version}.zip
Source99:       https://raw.githubusercontent.com/pydron/ifaddr/master/LICENSE.txt
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
%ifpython2
BuildRequires:  %{oldpython}-ipaddress
%endif
# /SECTION
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  unzip
%ifpython2
Requires:       %{oldpython}-ipaddress
%endif
BuildArch:      noarch

%python_subpackages

%description
ifaddr is a Python library that allows finding the
IP addresses assigned to the system.

%prep
%setup -q -n ifaddr-%{version}
cp %{S:99} .
rm ifaddr.egg-info/requires.txt
sed -i -e "s/install_requires = \['ipaddress'\],//" setup.py
dos2unix README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
cd ifaddr
%python_expand py.test-%{$python_version}

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Fri Nov  9 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Fri Nov  2 2018 alarrosa@suse.com
- Initial release of python-ifaddr 0.1.4
